### Function

# AppStream RelationCompare to_symbols_string

since: 0.12.0

#### Declaration [src]

    const gchar*
    as_relation_compare_to_symbols_string (
      AsRelationCompare compare
    )

#### Description [src]

Converts the enumerated value to an text representation. The enum is converted into an identifier consisting of two mathematical comparison operators (“==”, “>=”, etc.) for use in the YAML representation and user interfaces.

Available since: 0.12.0

#### Parameters

`compare`

  Type: `AsRelationCompare`

  The `AsRelationCompare`.

#### Return value

Type: `const gchar*`

String version of `compare`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.